Yaniv Bronhaim has uploaded a new change for review.
Change subject: Removing has_systemd from sysv script ......................................................................
Removing has_systemd from sysv script
After separating sysv and systemd common code, there is no need for has_systemd parts in sysv init script, as it doesn't in use at all over systemd.
Change-Id: Ief9be5503c84e2cf960e722e5097dbdc05b888a6 Signed-off-by: Yaniv Bronhaim ybronhei@redhat.com --- M init/sysvinit/vdsmd.init.in 1 file changed, 2 insertions(+), 11 deletions(-)
git pull ssh://gerrit.ovirt.org:29418/vdsm refs/changes/06/18806/1
diff --git a/init/sysvinit/vdsmd.init.in b/init/sysvinit/vdsmd.init.in index b023fb9..ce6237e 100755 --- a/init/sysvinit/vdsmd.init.in +++ b/init/sysvinit/vdsmd.init.in @@ -150,11 +150,6 @@
stop() { echo $"Shutting down vdsm daemon: " - if has_systemd; then - kill_instance - return 0 - fi - trap cleanup SIGINT SIGHUP SIGTERM if [ -f "$LOCK_FILE" ]; then if ! pidofproc -p "$RESPAWNPIDFILE" >/dev/null; then @@ -207,11 +202,7 @@
case "$1" in start) - if has_systemd; then - start - else - locked_start - fi + locked_start RETVAL=$? ;; stop) @@ -224,7 +215,7 @@ if [ "$RETVAL" -eq 0 ]; then echo "VDS daemon server is running" else - if ! has_systemd && [ -f "$LOCK_FILE" ]; then + if [ -f "$LOCK_FILE" ]; then printf "VDS daemon dead but subsys locked" else printf "VDS daemon is not running"
oVirt Jenkins CI Server has posted comments on this change.
Change subject: Removing has_systemd from sysv script ......................................................................
Patch Set 1:
Build Successful
http://jenkins.ovirt.org/job/vdsm_unit_tests_gerrit/4254/ : SUCCESS
http://jenkins.ovirt.org/job/vdsm_unit_tests_gerrit_el/3359/ : SUCCESS
http://jenkins.ovirt.org/job/vdsm_pep8_gerrit/4175/ : SUCCESS
Maor Lipchuk has posted comments on this change.
Change subject: Removing has_systemd from sysv script ......................................................................
Patch Set 1: Verified+1
Alon Bar-Lev has posted comments on this change.
Change subject: Removing has_systemd from sysv script ......................................................................
Patch Set 1: Code-Review+1
Dan Kenigsberg has posted comments on this change.
Change subject: Removing has_systemd from sysv script ......................................................................
Patch Set 1: Code-Review-1
(1 comment)
.................................................... Commit Message Line 5: CommitDate: 2013-09-03 12:11:11 +0300 Line 6: Line 7: Removing has_systemd from sysv script Line 8: Line 9: After separating sysv and systemd common code, there is no need for commit message is misleading. it is NOT a cleanup patch.
there's a serious bug here: the has_systemd function definition has been dropped, but the script is still using it. This should be stated. Line 10: has_systemd parts in sysv init script, as it doesn't in use at all over Line 11: systemd. Line 12: Line 13: Change-Id: Ief9be5503c84e2cf960e722e5097dbdc05b888a6
Alon Bar-Lev has posted comments on this change.
Change subject: Removing has_systemd from sysv script ......................................................................
Patch Set 2: Code-Review+1
oVirt Jenkins CI Server has posted comments on this change.
Change subject: Removing has_systemd from sysv script ......................................................................
Patch Set 2: Verified-1
Build Failed
http://jenkins.ovirt.org/job/vdsm_unit_tests_gerrit/4257/ : FAILURE
http://jenkins.ovirt.org/job/vdsm_unit_tests_gerrit_el/3362/ : SUCCESS
http://jenkins.ovirt.org/job/vdsm_pep8_gerrit/4178/ : SUCCESS
oVirt Jenkins CI Server has posted comments on this change.
Change subject: Removing has_systemd from sysv script ......................................................................
Patch Set 2:
Build Failed
http://jenkins.ovirt.org/job/vdsm_unit_tests_gerrit_el/3362/ : SUCCESS
http://jenkins.ovirt.org/job/vdsm_pep8_gerrit/4178/ : SUCCESS
http://jenkins.ovirt.org/job/vdsm_unit_tests_gerrit/4258/ : FAILURE
oVirt Jenkins CI Server has posted comments on this change.
Change subject: Removing has_systemd from sysv script ......................................................................
Patch Set 2: -Verified
Build Successful
http://jenkins.ovirt.org/job/vdsm_unit_tests_gerrit_el/3362/ : SUCCESS
http://jenkins.ovirt.org/job/vdsm_pep8_gerrit/4178/ : SUCCESS
http://jenkins.ovirt.org/job/vdsm_unit_tests_gerrit/4259/ : SUCCESS
Yaniv Bronhaim has posted comments on this change.
Change subject: Removing has_systemd from sysv script ......................................................................
Patch Set 2: Verified+1
Federico Simoncelli has posted comments on this change.
Change subject: Removing has_systemd from sysv script ......................................................................
Patch Set 2: Code-Review+2
Dan Kenigsberg has posted comments on this change.
Change subject: Removing has_systemd from sysv script ......................................................................
Patch Set 2:
(1 comment)
.................................................... Commit Message Line 7: Removing has_systemd from sysv script Line 8: Line 9: After separating sysv and systemd common code, we forgot cleaning all Line 10: systemd dedicated code from sysv init script. This patch removes has_systemd Line 11: calls and definition from sysv init script, as this script doesn't in use by no, this patch does not remove the definition. The definition was removed earlier. We remove only the faulty usage.
But never mind. We have bugs to fix. Line 12: systemd anymore. Line 13: Line 14: Change-Id: Ief9be5503c84e2cf960e722e5097dbdc05b888a6
Dan Kenigsberg has submitted this change and it was merged.
Change subject: Removing has_systemd from sysv script ......................................................................
Removing has_systemd from sysv script
After separating sysv and systemd common code, we forgot cleaning all systemd dedicated code from sysv init script. This patch removes has_systemd calls and definition from sysv init script, as this script doesn't in use by systemd anymore.
Change-Id: Ief9be5503c84e2cf960e722e5097dbdc05b888a6 Signed-off-by: Yaniv Bronhaim ybronhei@redhat.com Reviewed-on: http://gerrit.ovirt.org/18806 Reviewed-by: Alon Bar-Lev alonbl@redhat.com Reviewed-by: Federico Simoncelli fsimonce@redhat.com --- M init/sysvinit/vdsmd.init.in 1 file changed, 2 insertions(+), 11 deletions(-)
Approvals: Alon Bar-Lev: Looks good to me, but someone else must approve Yaniv Bronhaim: Verified Federico Simoncelli: Looks good to me, approved
vdsm-patches@lists.fedorahosted.org